---
type: api
title: Deletes a single Knowledge Base Entry using the `id` field
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-deleteknowledgebaseentry
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-deleteknowledgebaseentry
products:
  - Kibana
---

# Deletes a single Knowledge Base Entry using the `id` field

- Server: `https://{kibana_url}`

## Paths

- `DELETE` `/api/security_ai_assistant/knowledge_base/entries/{id}`
- `DELETE` `/s/{space_id}/api/security_ai_assistant/knowledge_base/entries/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `id` (string · min: 1)
  The unique identifier (`id`) of the Knowledge Base Entry to delete.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Delete a Knowledge Base Entry by its unique `id`.

## Responses

#### `200`

Successful request returning the `id` of the deleted Knowledge Base Entry.

`application/json`

- `id` (string · min: 1)
  A string that does not contain only whitespace characters.
#### `400`

A generic error occurred, such as an invalid `id` or the entry not being found.

`application/json`

- `error` (string)
  Error type or category.
- `message` (string)
  Detailed error message.
- `statusCode` (number)
  HTTP status code of the error.
## Code Examples

#### Console

```console
DELETE /api/security_ai_assistant/knowledge_base/entries/{id}
```

#### curl

```curl
curl -X DELETE "https://{kibana_url}/api/security_ai_assistant/knowledge_base/entries/{id}"
```

## Response Examples

#### 200

```json
{
  "id": "12345",
  "message": "Knowledge Base Entry successfully deleted."
}
```

#### 400

```json
{
  "error": "Not Found",
  "message": "No Knowledge Base Entry found with the provided \u0060id\u0060."
}
```

